ReadOnlyStringWrapper (JavaFX 28)
Description: declaration: module: javafx.base, package: javafx.beans.property, class: ReadOnlyStringWrapper

# Class ReadOnlyStringWrapper

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty
javafx.beans.property.StringProperty
javafx.beans.property.StringPropertyBase
javafx.beans.property.SimpleStringProperty
javafx.beans.property.ReadOnlyStringWrapper

All Implemented Interfaces:
  `Observable, Property<String>, ReadOnlyProperty<String>, ObservableObjectValue<String>, ObservableStringValue, ObservableValue<String>, WritableObjectValue<String>, WritableStringValue, WritableValue<String>`

public class ReadOnlyStringWrapper extends SimpleStringProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyStringWrapper()`
  The constructor of `ReadOnlyStringWrapper`
  `ReadOnlyStringWrapper(Object bean, String name)`
  The constructor of `ReadOnlyStringWrapper`
  `ReadOnlyStringWrapper(Object bean, String name, String initialValue)`
  The constructor of `ReadOnlyStringWrapper`
  `ReadOnlyStringWrapper(String initialValue)`
  The constructor of `ReadOnlyStringWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyStringProperty`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlyStringWrapper`.

  ### Methods declared in class SimpleStringProperty

  `getBean, getName`

  ### Methods declared in class StringPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class StringProperty

  `bindBidirectional, bindBidirectional, bindBidirectional, setValue, unbindBidirectional, unbindBidirectional`

  ### Methods declared in class StringExpression

  `concat, getValue, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface Observable

  `subscribe`

  ### Methods declared in interface ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper()
    The constructor of `ReadOnlyStringWrapper`

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper(String initialValue)
    The constructor of `ReadOnlyStringWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper(Object bean, String name)
    The constructor of `ReadOnlyStringWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyStringProperty`
      `name` - the name of this `ReadOnlyStringProperty`

  - ### ReadOnlyStringWrapper

    public ReadOnlyStringWrapper(Object bean, String name, String initialValue)
    The constructor of `ReadOnlyStringWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyStringProperty`
      `name` - the name of this `ReadOnlyStringProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyStringProperty getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyStringWrapper`.
    Returns:
      the readonly property